using Exferia_Sincronizacion;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Xml;

namespace Test
{
    public partial class Form1 : Form
    {
        private string g_str_Servidor =  "1.trialia.es,42103";
        private string g_str_BaseDatos = "SigmaERP2017_Pruebas";
        private string g_str_Usuario = "sa";
        private string g_str_Clave = "SQL_Exferia";


        public Form1()
        {
            InitializeComponent();
        }

        private void btn_Ejecutarproceso_Click(object sender, EventArgs e)
        {

            /*List<long> lst_idprodcutos = new List<long>();
            lst_idprodcutos.Add(10);

            List<object> lst_CampoClave = new List<object>();

            //idTerminal
            lst_CampoClave.Add(7);

            //CampoClave
            lst_CampoClave.Add("2|65|7|145|20191107145938");

            //tipoAccion
            lst_CampoClave.Add("6");

            //idTerminal_EnRegisto
            lst_CampoClave.Add(7);


           // Sincronizacion.Registro_Individual_Actualizar(g_str_Servidor, g_str_BaseDatos, g_str_Usuario, g_str_Clave,null,null,65, lst_CampoClave, "HPVS_Tickets_Cabecera", lst_idprodcutos);


            Sincronizacion.Inicial(g_str_Servidor, g_str_BaseDatos, g_str_Usuario, g_str_Clave, null, null, 7, lst_idprodcutos);*/

            lbl_Inicio.Text = DateTime.Now.ToString("HH:mm:ss");

            lbl_Fin.Text = DateTime.Now.ToString("HH:mm:ss");
        }
    }
}
